import { Component, OnInit } from '@angular/core';
import { AuthService } from '../auth/auth.service';

@Component({
  selector: 'app-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.scss']
})
export class HeaderComponent implements OnInit {
  isAuthorised = false;
  constructor(private authService:AuthService) { }

  ngOnInit() {
    this.authService.getAuthStatusListener().subscribe(result => {
      this.isAuthorised = result;
    })
  }

}
