import { Component, OnInit } from '@angular/core';
import { FormGroup, FormControl, Validators } from '@angular/forms';

@Component({
  selector: 'app-signup',
  templateUrl: './signup.component.html',
  styleUrls: ['./signup.component.scss']
})
export class SignupComponent implements OnInit {

  constructor() { }
  form: FormGroup;
  private crewMemberId: string;
  private roleId: string;
  private boatId: string;
  ngOnInit() {

    this.form = new FormGroup({
      Email: new FormControl(null, {
        validators: [Validators.required, Validators.email]
      }),
      FirstName: new FormControl(null, { validators: [Validators.required] }),
      LastName: new FormControl(null, { validators: [Validators.required] }),
      DateOfBirth: new FormControl(null, { validators: [Validators.required] }),
      PhoneNumber: new FormControl(null, { validators: [Validators.required] }),
      UserName: new FormControl(null, { validators: [Validators.required] }),
      Password: new FormControl(null, { validators: [Validators.required] })
    });
  }

  // CrewMemberId:string;*
  // RoleId:string;*
  // BoatId:string;*
  
  // Editable
  // DOB:Date;*
  // FirstName:string;*
  // LastName:string;*
  // Email:string;*
  // Phone:string;*
  // UserName:string;*
  // Password:string;*

  get BoatId() {
    return this.boatId;
  }
  
  get RoleId() {
    return this.roleId;
  }
  get CrewMemberId() {
    return this.crewMemberId;
  }
  get UserName() {
    return this.form.get('UserName');
  }

  get Password() {
    return this.form.get('Password');
  }
  get PhoneNumber() {
    return this.form.get('UserName');
  }
  get DateOfBirth() {
    return this.form.get('DateOfBirth');
  }  
  get Email() {
    return this.form.get("Email")
  }
  get FirstName() {
    return this.form.get("FirstName")
  }
  get LastName() {
    return this.form.get("LastName")
  }

  onSubmit(){
    console.log("submit")
    console.log(this.form);
    if(this.form.invalid){
      return;
    }
  }
}
